summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukas18182020-12-05 13:51:31 +0100
committerLukas18182020-12-05 13:51:31 +0100
commit5be14f89a97d569477ec9de51b554ab90ad3f535 (patch)
treec4960b36923ead0e8d977a0d0d148da9ad96ee54
parent73a35e6767fbd4f5504e3bed73363b4608e64d43 (diff)
downloadaur-5be14f89a97d569477ec9de51b554ab90ad3f535.tar.gz
catch exit code 141 of lgogdownloader
-rw-r--r--PKGBUILD7
-rwxr-xr-xcatch_gogdownloader_error141.sh2
2 files changed, 7 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index ea91713c8db..05c88486cf0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -22,8 +22,11 @@ sha512sums=('bc918de3e38ab86ecd8f1630f6afc2ad76bdcd848bf33ae57b6170e50f8323cd880
'0414b87ab350906a0401bbc4b3c425d6efa6e9685b2dbabf87b88217b74bf4c5e73d411846996f5368ea241e366ddb63a23ebaae2b030730ff7f71179db40100'
'a0250c930eef5dab2e7211dec395cc3c889b42728001b4976c32ee7f2d6902e25e1a0dd7d006897e3753d5b376c4c3ae109032c43bad77919d705bfd69be6223')
-#lgogdownloader exit with 141
-DLAGENTS+=('gogdownloader::/usr/bin/lgogdownloader --download-file=%u -o %o')
+#lgogdownloader exit always with 141 after a successful downlaod for some games
+# || test $? -eq 141 and /usr/bin/bash -c does not work in DLAGENTS, use a script instead
+#https://stackoverflow.com/questions/65149855/add-a-makepkg-dlagent-which-accept-a-non-zero-exit-code
+DLAGENTS+=("gogdownloader::./catch_gogdownloader_error141.sh %u %o")
+
prepare()
{
diff --git a/catch_gogdownloader_error141.sh b/catch_gogdownloader_error141.sh
new file mode 100755
index 00000000000..b3ca4dd1f3d
--- /dev/null
+++ b/catch_gogdownloader_error141.sh
@@ -0,0 +1,2 @@
+#!/bin/bash
+lgogdownloader --download-file=$1 -o $2 || test $? -eq 141